#!/usr/bin/env python

import sys
from base import *

#This tool allow users to plot SVM-prob ROC curve from data

#process arguments
dtinfo = proc_data(sys.argv[-1])
param,fold = proc_argv()

#read data
prob_x, prob_y, pos, neg = read_svm(dtinfo)

#get decision value
deci = cross(prob_x, prob_y, param, fold)

#optimize sigmoid probalistic mapping function parameter
A,B = Sigmoid_Training(deci,prob_y, pos, neg)

#plot decision value v.s. predicted probalistics
plot_prob(dtinfo,deci, prob_y, A, B)

#plot roc (self-testing)
plot_roc(dtinfo,deci,prob_y, A,B, pos, neg)
