#!/usr/bin/env python

from svm import *
import math, string, random
import os, sys
from base import *

#This tool allow users to create sigmoid model for probalistic processing
#from training file. Then plot ROC curve of testing file according to the
#model.

#Assume user cmdline: ttroc.py [-c X -g Y -t Z] <trainfile> <testingfile>
train_dt = proc_data(sys.argv[-2])
test_dt = proc_data(sys.argv[-1])
param,fold = proc_argv()

#read data (feature vector X, labels Y, Positive label train_pos, Negative label train_neg
train_x, train_y, train_pos, train_neg = read_svm(train_dt)

#read train result(vector decision value)
train_deci = cross(train_x, train_y, param, fold)

#calculate parameter for sigmoid probablistic model
#read paper for detail 
A,B = Sigmoid_Training(train_deci,train_y, train_pos, train_neg)

test_x, test_y, test_pos, test_neg = read_svm(test_dt)
test_deci = cross(test_x, test_y, param, fold)

plot_roc(test_dt,test_deci, test_y,A,B,test_pos,test_neg)
